Skip to main content

Process (bulk)

POST 

/api/v1/assets/content/original/reprocess

The asset batch processing API is useful in the following scenarios:-

  • process multiple assets to apply updated watermark
  • process multiple assets to create a specific conversion, transcode or addon
warning

This API is available for users with ADMIN role. Users with other roles will be denied access.

REQUEST JSON BODY​

{
"ids": [
"7204fbc866d94805ad3fab3e1a194abd"
],
"conversions": ["smart_imaging"],
"transcodes": ["480p-video"],
"addons": ["storyboard"]
}

Note:

  • A maximum of 100 assets can be re-processed in one API call
  • If conversions, transcodes or addons are all empty, or not provided, all conversions, transcodes and addons enabled in caller's account settings will be re-processed.
  • Unknown keys in conversions, transcodes or addons and keys that do not apply to the file type will be ignored.
ParameterDescription
idsAsset Ids of assets that should be re-processed
conversions(optional) List of conversion keys such as deepzoom. See [Asset Processing API] for keys
transcodes(optional) List of transcode keys such as 480p-video. See [Asset Processing API] for keys
addons(optional) List of addon keys such as storyboard. Addon must be available and enabled in the caller's account. See specific addon in Addons section for keys

HTTP RESPONSE​

Standard HTTP Status codes

Request​

Responses​

Successful operation